Foxit PDF SDK

Static Public Member Functions | List of all members
FoxitPDFSDKPython2.Optimizer Class Reference
Inheritance diagram for FoxitPDFSDKPython2.Optimizer:

## Static Public Member Functions
def | ComputeAuditSpace (doc)
| Compute audit space. More...
def | Optimize (doc, settings, pause)
| Optimize the given PDF document with specified optimizer settings. More...
def | OptimizeScannedPDF (doc, settings, image_compress_callback, pause)
| Optimize the scanned PDF document with specified optimizers settings. More...
def | StartSubsetEmbedFont (doc, pause)
| Start to make subsets for embedded fonts in the given PDF document. More...

## Detailed Description

This class can be used to optimize PDF file to reduce file size. Before using this class to do optimization, please ensure Foxit PDF SDK has been initialized successfully by function FoxitPDFSDKPython2.Library.Initialize with a key including "Optimizer" module.

See also
  FoxitPDFSDKPython2.Library

## Member Function Documentation

## ◆ ComputeAuditSpace()

FoxitPDFSDKPython2.Optimizer.ComputeAuditSpace | ( |  | doc | ) |
| static

Compute audit space.

Parameters

  [in] | doc | A valid PDF document object to audit space.

Returns
  A struct that contain all audit space contents.

## ◆ Optimize()

FoxitPDFSDKPython2.Optimizer.Optimize | ( |  | doc,
|  |  | settings,
|  |  | pause
| ) |  |
| static

Optimize the given PDF document with specified optimizer settings.

Parameters

  [in] | doc | A valid PDF document object to be optimized.
  [in] | settings | Setting data used for optimization processing settings.
  [in] | pause | Pause object which decides if the process needs to be paused. This can be null which means not to pause during the optimization process. If this is not null, it should be a valid pause object implemented by user.

Note
  If module "Optimizer" is not defined in the license information which is used in function FoxitPDFSDKPython2.Library.Initialize , that means user has no right in using Optimization related functions and this function will throw exception FoxitPDFSDKPython2.e_ErrNoOptimizerModuleRight .

Returns
  A progressive object. Please check the rate of current progress by function FoxitPDFSDKPython2.Progressive.GetRateOfProgress . If the rate is not 100 yet, call function FoxitPDFSDKPython2.Progressive.Continue to continue the progress until the progress is finished.

## ◆ OptimizeScannedPDF()

FoxitPDFSDKPython2.Optimizer.OptimizeScannedPDF | ( |  | doc,
|  |  | settings,
|  |  | image_compress_callback,
|  |  | pause
| ) |  |
| static

Optimize the scanned PDF document with specified optimizers settings.

Parameters

  [in] | doc | A valid PDF document object to be optimized.
  [in] | settings | Setting data used for optimization processing settings.
  [in] | image_compress_callback | A FoxitPDFSDKPython2.ImageCompressionCallback object which is implemented by user for temp file data during replacing page process. When replacing pages process is finished (no matter successfully or not), callback function FoxitPDFSDKPython2.ImageCompressionCallback.Release will be called by Foxit PDF SDK.
  [in] | pause | Pause object which decides if the process needs to be paused. This can be null which means not to pause during the optimization process. If this is not null, it should be a valid pause object implemented by user.

Note
  If module "Optimizer" is not defined in the license information which is used in function FoxitPDFSDKPython2.Library.Initialize , that means user has no right in using Optimization related functions and this function will throw exception FoxitPDFSDKPython2.e_ErrNoOptimizerModuleRight . If optimize the scanned pdf finished, the specify pages to be optimized needs to be reloaded.

Returns
  A progressive object. Please check the rate of current progress by function FoxitPDFSDKPython2.Progressive.GetRateOfProgress . If the rate is not 100 yet, call function FoxitPDFSDKPython2.Progressive.Continue to coninue the progress until the progress is finished.

## ◆ StartSubsetEmbedFont()

FoxitPDFSDKPython2.Optimizer.StartSubsetEmbedFont | ( |  | doc,
|  |  | pause
| ) |  |
| static

Start to make subsets for embedded fonts in the given PDF document.

This function can be used to remove useless embedded characters from the data of embedded fonts (if there's any in a PDF document) in order to reduce the size of a PDF document.

Parameters

  [in] | doc | A valid PDF document object to be processed a subset of embedded fonts.
  [in] | pause | Pause object which decides if the process needs to be paused. This can be null which means not to pause during the embeded font subset process. If this is not null, it should be a valid pause object implemented by user.

Note
  If module "Optimizer" is not defined in the license information which is used in function FoxitPDFSDKPython2.Library.Initialize , that means user has no right in using Optimization related functions and this function will throw exception FoxitPDFSDKPython2.e_ErrNoOptimizerModuleRight .

Returns
  A progressive object. Please check the rate of current progress by function FoxitPDFSDKPython2.Progressive.GetRateOfProgress . If the rate is not 100 yet, call function FoxitPDFSDKPython2.Progressive.Continue to continue the progress until the progress is finished.